petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCGalerkinGetKSP

Gets the KSP object in the Galerkin PC.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCGalerkinGetKSP(PC pc,KSP *ksp)

Not Collective Many br

### Input Parameter

pc -the preconditioner context Many br

### Output Parameters

ksp -the KSP object Many br

Many br

### Keywords

PC, get, Galerkin preconditioner, sub preconditioner

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PCGALERKIN,
PCGalerkinSetRestriction(), PCGalerkinSetInterpolation() Many br

Level:Intermediate
Location:src/ksp/pc/impls/galerkin/galerkin.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages